Bug 255841 - kmalloc args are reversed in iscsi_tcp
kmalloc args are reversed in iscsi_tcp
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.1
All All
medium Severity medium
: ---
: ---
Assigned To: Mike Christie
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-27 02:24 EDT by Mike Christie
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0959
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 15:01:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Christie 2007-08-27 02:24:33 EDT
Description of problem:

kmalloc args are reversed in iscsi_tcp.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Mike Christie 2007-08-27 02:28:50 EDT
kmalloc args are reversed in iscsi_tcp. This causes GFP_KERNEL bytes to be
allocated instead of only sizeof(struct sockaddr_storage), and it causes the
memory allocation to use the wrong flags.
Comment 4 Don Zickus 2007-09-05 17:01:13 EDT
in 2.6.18-45.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 7 errata-xmlrpc 2007-11-07 15:01:48 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0959.html

Note You need to log in before you can comment on or make changes to this bug.